package com.jianshui.platform.domain;

import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import net.logstash.logback.encoder.org.apache.commons.lang3.builder.ToStringBuilder;
import net.logstash.logback.encoder.org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 车辆编码对象 vehicle_code
 * 
 * @author kk
 * @date 2023-06-28
 */
public class VehicleCode extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 车辆编码 */
    @Excel(name = "车辆编码")
    private String vehicleCode;

    /** 车辆类型 */
    @Excel(name = "车辆类型")
    private String vehicleType;

    /** 厂牌型号 */
    @Excel(name = "厂牌型号")
    private String brandModel;

    /** 产地 */
    @Excel(name = "产地")
    private String origin;

    /** 生产企业名称 */
    @Excel(name = "生产企业名称")
    private String manufacturerName;

    /** 税收分类编码 */
    @Excel(name = "税收分类编码")
    private String taxCategoryCode;

    /** 税收分类编码ID */
    @Excel(name = "税收分类编码ID")
    private Long taxCategoryCodeId;

    /** 税收分类编码简称 */
    @Excel(name = "税收分类编码简称")
    private String taxCategoryAbbreviation;

    /** 是否享受优惠政策 */
    @Excel(name = "是否享受优惠政策")
    private String isQualifiedForDiscount;

    /** 优惠政策类型 */
    @Excel(name = "优惠政策类型")
    private String discountPolicyType;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setVehicleCode(String vehicleCode) 
    {
        this.vehicleCode = vehicleCode;
    }

    public String getVehicleCode() 
    {
        return vehicleCode;
    }
    public void setVehicleType(String vehicleType) 
    {
        this.vehicleType = vehicleType;
    }

    public String getVehicleType() 
    {
        return vehicleType;
    }
    public void setBrandModel(String brandModel) 
    {
        this.brandModel = brandModel;
    }

    public String getBrandModel() 
    {
        return brandModel;
    }
    public void setOrigin(String origin) 
    {
        this.origin = origin;
    }

    public String getOrigin() 
    {
        return origin;
    }
    public void setManufacturerName(String manufacturerName) 
    {
        this.manufacturerName = manufacturerName;
    }

    public String getManufacturerName() 
    {
        return manufacturerName;
    }
    public void setTaxCategoryCode(String taxCategoryCode) 
    {
        this.taxCategoryCode = taxCategoryCode;
    }

    public String getTaxCategoryCode() 
    {
        return taxCategoryCode;
    }
    public void setTaxCategoryCodeId(Long taxCategoryCodeId) 
    {
        this.taxCategoryCodeId = taxCategoryCodeId;
    }

    public Long getTaxCategoryCodeId() 
    {
        return taxCategoryCodeId;
    }
    public void setTaxCategoryAbbreviation(String taxCategoryAbbreviation) 
    {
        this.taxCategoryAbbreviation = taxCategoryAbbreviation;
    }

    public String getTaxCategoryAbbreviation() 
    {
        return taxCategoryAbbreviation;
    }
    public void setIsQualifiedForDiscount(String isQualifiedForDiscount) 
    {
        this.isQualifiedForDiscount = isQualifiedForDiscount;
    }

    public String getIsQualifiedForDiscount() 
    {
        return isQualifiedForDiscount;
    }
    public void setDiscountPolicyType(String discountPolicyType) 
    {
        this.discountPolicyType = discountPolicyType;
    }

    public String getDiscountPolicyType() 
    {
        return discountPolicyType;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("vehicleCode", getVehicleCode())
            .append("vehicleType", getVehicleType())
            .append("brandModel", getBrandModel())
            .append("origin", getOrigin())
            .append("manufacturerName", getManufacturerName())
            .append("taxCategoryCode", getTaxCategoryCode())
            .append("taxCategoryCodeId", getTaxCategoryCodeId())
            .append("taxCategoryAbbreviation", getTaxCategoryAbbreviation())
            .append("isQualifiedForDiscount", getIsQualifiedForDiscount())
            .append("discountPolicyType", getDiscountPolicyType())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
